MUTOOL(1)

NAME
mutool - all purpose tool for dealing with PDF files

SYNOPSIS
mutool <sub-command> [options]

DESCRIPTION
mutool is a tool based on MuPDF for dealing with PDF files in various manners. There are several sub commands available, as described below.

CLEAN
mutool clean [options] input.pdf [output.pdf] [pages]

The clean command pretty prints and rewrites the syntax of a PDF file. It can be used to repair broken files, expand compressed streams, filter out a range of pages, etc.

If no output file is specified, it will write the cleaned PDF to "out.pdf" in the current directory.

-p password
    Use the specified password if the file is encrypted.

-g  Garbage collect objects that have no references from other objects. Give the option twice to renumber all objects and compact the cross reference table. Give it three times to merge and reuse duplicate objects.

-d  Decompress streams. This will make the output file larger, but provides easy access for reading and editing the contents with a text editor.

-l  Linearize output. Create a "Web Optimized" output file.

-i  Toggle decompression of image streams. Use in conjunction with -d to leave image- compressed.

-f  Toggle decompression of font streams. Use in conjunction with -d to leave fonts compressed.

-a  ASCII Hex encode binary streams. Use in conjuction with -d and -i or -f to ensure that although the images and/or fonts are compressed, the resulting file can still be viewed and edited with a text editor.

pages
    Comma separated list of page ranges to include.

EXTRACT
mutool extract [options] file.pdf [object numbers]

The extract command can be used to extract images and font files from a PDF. If no object numbers are given on the command line, all images and fonts will be extracted.

-p password
    Use the specified password if the file is encrypted.

-r  Convert images to RGB when extracting them.

INFO
TODO

POSTER
mutool poster [options] input.pdf [output.pdf]

The poster command splits each page into tiles, and puts each tile on a page of its own. It's useful for printing a large page onto smaller pieces of paper that can then be glued together to create a large poster.

-p password
    Use the specified password if the file is encrypted.

-x factor
    Split the page into this many horizontal pieces.

-y factor
    Split the page into this many vertical pieces.

The output will have x times y number of pages for each input page.

SHOW
mutool show [options] file.pdf [object numbers ...]

The show command will print the specified objects and streams to stdout. Streams are decoded and non-printable characters are represented with a period by default.

-b  Print streams as binary data and omit the object header.

-e  Print streams in their original encoded (or compressed) form.

-p password
    Use the specified password if the file is encrypted.

Specify objects by number, or use one of the following special names:

'xref' or 'x'
    Print the cross reference table.

'trailer' or 't'
    Print the trailer dictionary.

'pages' or 'p'
    List the object numbers for every page.

'grep' or 'g'
    Print all the objects in the file in a compact one-line format suitable for piping to grep.

SEE ALSO
mudraw(1). mupdf(1),

AUTHOR
MuPDF is Copyright 2006-2014 Artifex Software, Inc.